﻿$ErrorActionPreference = 'Stop';

$toolsPath = Split-Path $MyInvocation.MyCommand.Definition
. $toolsPath\helpers.ps1

$packageName = $env:ChocolateyPackageName
$softwareName = 'Google Drive File Stream'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = 'https://dl.google.com/drive-file-stream/GoogleDriveFSSetup.exe'

$alreadyInstalled = (AlreadyInstalled -product $softwareName)

# The following is implemented as Google Drive File Stream has its own update mechanism that moves the installation to a different directory.
if ($alreadyInstalled -and ($env:ChocolateyForce -ne $true)) {
    Write-Output $(
        "Google Drive File Stream is already installed. " +
        'No need to download and re-install as it updates automatically.'
    )
}
else {  
    $packageArgs = @{
        packageName    = $packageName
        unzipLocation  = $toolsDir
        fileType       = 'exe'
        url            = $url
        softwareName   = 'Google Drive File Stream*'
        checksum       = 'e16d70d9cfe472c63ee54d4ea1ba3169d7a2d881c5998abe0392175ecd2d1552'
        checksumType   = 'sha256'
        silentArgs     = '--silent'
        validExitCodes = @(0)
    }

    Install-ChocolateyPackage @packageArgs
}










    








